# VelocityOrientationProperty

#### new Cesium.VelocityOrientationProperty(position, ellipsoid)
DataSources/VelocityOrientationProperty.js 31

A `Property` which evaluates to a `Quaternion` rotation based on the velocity of the provided `PositionProperty`.

Name | Type | Default | Description
--- | --- | --- | ---
`position` | PositionProperty |  | optional The position property used to compute the orientation.
`ellipsoid` | Ellipsoid | `Ellipsoid.WGS84` | optional The ellipsoid used to determine which way is up.

##### Example:

    //Create an entity with position and orientation.
    var position = new Cesium.SampledProperty();
    position.addSamples(...);
    var entity = viewer.entities.add({
      position : position,
      orientation : new Cesium.VelocityOrientationProperty(position)
    }));

### Members

#### readonly definitionChanged : Event
DataSources/VelocityOrientationProperty.js 65

Gets the event that is raised whenever the definition of this property changes.

#### ellipsoid : Property|undefined
DataSources/VelocityOrientationProperty.js 90

Gets or sets the ellipsoid used to determine which way is up.

#### readonly isConstant : Boolean
DataSources/VelocityOrientationProperty.js 53

Gets a value indicating if this property is constant.

#### position : Property|undefined
DataSources/VelocityOrientationProperty.js 76

Gets or sets the position property used to compute orientation.

### Methods

#### equals(other) → Boolean
DataSources/VelocityOrientationProperty.js 133

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getValue(time, result) → Quaternion
DataSources/VelocityOrientationProperty.js 115

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | optional The time for which to retrieve the value.
`result` | Quaternion | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.